wxURLDataObject Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxURLDataObject Class Reference
Class List by Category » Clipboard and Drag & Drop

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/dataobj.h>`

Inheritance diagram for wxURLDataObject:
[legend]

## Detailed Description

wxURLDataObject is a wxDataObject containing an URL and can be used e.g.

when you need to put an URL on or retrieve it from the clipboard:

wxTheClipboard->SetData(new wxURLDataObject(url));
wxURLDataObject::wxURLDataObject
wxURLDataObject(const wxString &url=wxEmptyString)
Constructor, may be used to initialize the URL.
wxTheClipboard
#define wxTheClipboard
The backwards compatible access macro that returns the global clipboard object pointer.
Definition clipbrd.h:12

Note
  The actual base class of this class is not always wxDataObject itself, but rather either wxDataObjectComposite in wxMSW and wxGTK or wxTextDataObject in the other ports. Please don't rely on the exact base class, it is not guaranteed that it won't change in the future.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also
  Drag and Drop Overview, wxDataObject

## Public Member Functions
| wxURLDataObject (const wxString &url=wxEmptyString)
| Constructor, may be used to initialize the URL.
wxString | GetURL () const
| Returns the URL stored by this object, as a string.
void | SetURL (const wxString &url)
| Sets the URL stored by this object.
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor.
virtual | ~wxDataObject ()
| Destructor.
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats.
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf.
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format.
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data.
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it.
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf.
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported.

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01 , Set = 0x02 , Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxURLDataObject()

wxURLDataObject::wxURLDataObject | ( | const wxString & | url = wxEmptyString | ) |

Constructor, may be used to initialize the URL.

If url is empty, SetURL() can be used later.

## Member Function Documentation

## ◆ GetURL()

wxString wxURLDataObject::GetURL | ( |  | ) | const

Returns the URL stored by this object, as a string.

## ◆ SetURL()

void wxURLDataObject::SetURL | ( | const wxString & | url | ) |

Sets the URL stored by this object.